Sets the filename before you read or write the image

- « Imagick::setCompressionQuality

- Imagick::setFirstIterator »

- PHP Manual
- Imagick
- Sets the filename before you read or write the image

# Imagick::setFilename

(PECL imagick 2, PECL imagick 3)

Imagick::setFilename — Sets the filename before you read or write the image

### Description

public Imagick::setFilename(string `$filename`): bool

Sets the filename before you read or write an image file.

### Parameters

`filename`

### Return Values

Returns `true` on success.